---
title: May 2022 Blog
date: '2022-05-01'
lastmod: '2022-05-17'
tags: ['May', 'Games', 'Daily Blog']
draft: false
summary: Just updates on what has been going on for 2022. What games I have been playing, projects I have been working on, and what ever else I can think of.
images: ['/static/images/logo.png']
authors: ['default']
layout: PostLayout
---

Everyone seems to be more relaxed these days with COVID, how ever i'm not taking any unnaessary risks still. I have known 
more people personally now that have had COVID in 2022 then in the past two years which seems odd. At least everyone is doing
fine and no one ended up in the hospital from it. Below are some of the stuff I been doing in the past 3 months. 

<TOCInline toc={props.toc} exclude="Overview" toHeading={2} />

## New World

I have still been cranking along with New World. I think this is still one of the best MMOs on the market these days. There is
alot that still needs to be added to the game but i'm looking forward to what they will release.

I play DPS at the moment with Fire Staff being my main weapon, blunderbuss as my secondary weapon. I'm at the point of end 
game where trying to get the best gear I can and upgrade everything by doing instances. I hope soon the new PVP rewards and 
a dudgeon finder will come into play. 

## New World Current Gear
Below is my current gear that I have in New World.

![New World Gear Set](/static/images/blog2022/gear1.jpeg)

![New World Gear Set](/static/images/blog2022/gear2.jpeg)

## V Rising
V Rising is the next game on my list to buy and try out. I think I will purchasing it soon after this post and give it a try.
I have some friends in my D&D group that plan on playing as well so might as well join them.

[Check out V Rising on Steam](https://store.steampowered.com/app/1604030/V_Rising/)
